Module ij
Package ij.plugin

# Class Filters3D

java.lang.Object
ij.plugin.Filters3D

All Implemented Interfaces:
  `PlugIn`

public class Filters3D extends Object implements PlugIn

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX`
`static final int`
`MAXLOCAL`
`static final int`
`MEAN`
`static final int`
`MEDIAN`
`static final int`
`MIN`
`static final int`
`VAR`

## Constructor Summary

Constructors
Constructor
Description
`Filters3D()`

## Method Summary

Modifier and Type
Method
Description
`static ImageStack`
`filter(ImageStack stackorig, int filter, float vx, float vy, float vz)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MEAN

public static final int MEAN

See Also:
  - Constant Field Values

### MEDIAN

public static final int MEDIAN

See Also:
  - Constant Field Values

### MIN

public static final int MIN

See Also:
  - Constant Field Values

### MAX

public static final int MAX

See Also:
  - Constant Field Values

### VAR

public static final int VAR

See Also:
  - Constant Field Values

### MAXLOCAL

public static final int MAXLOCAL

See Also:
  - Constant Field Values

## Constructor Details

### Filters3D

public Filters3D()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### filter

public static ImageStack filter(ImageStack stackorig, int filter, float vx, float vy, float vz)